#!/bin/bash

. `dirname $0`/env.sh

#sometimes, particular for users only used through su, /run/user/XXXX is not created
#to solve, run as sudoer
#sudo loginctl enable-linger <USERNAME>

export DISPLAY=:$DISPLAYID
TEMP=~/.xpra/temp.log
#make sure xpra is running a virtual buffer at DISPLAY

xpra info $DISPLAY > $TEMP || xpra start $DISPLAY;

LOG=$HOME/logs/runSlicer.log

if [ $# -gt 2 ] ; then
   LOG=$3/runSlicer.log;
fi;

nohup $SLICER/Slicer --no-main-window --python-script $1 $2 0<&- &> $LOG &
